'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _chalk = require('chalk');

var _chalk2 = _interopRequireDefault(_chalk);

var _table = require('../../utils/table');

var _date = require('../../utils/date');

var _date2 = _interopRequireDefault(_date);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const formatTeamsName = (team1, team2) => {
  return `${_chalk2.default.blue.bold(team1)} vs ${_chalk2.default.cyan.bold(team2)}`;
};

const formatStatus = (date, live) => {
  let matchStatus = _chalk2.default.green.bold('LIVE');

  if (!live) {
    matchStatus = (0, _date2.default)(date);
  }

  return _chalk2.default.white.bold(matchStatus);
};

const general = matchInfo => {
  const generalTable = (0, _table.basicTable)({ 'padding-left': 2, 'padding-right': 2 });

  generalTable.push([{ colSpan: 6, content: formatTeamsName(matchInfo.team1.name, matchInfo.team2.name), hAlign: 'center', vAlign: 'center' }], [{ colSpan: 6, content: _chalk2.default.white.bold(matchInfo.event.name), hAlign: 'center', vAlign: 'center' }], [{ colSpan: 6, content: _chalk2.default.white.bold(matchInfo.format), hAlign: 'center', vAlign: 'center' }], [{ colSpan: 6, content: formatStatus(matchInfo.date, matchInfo.live), hAlign: 'center', vAlign: 'center' }]);

  if (matchInfo.additionalInfo) {
    generalTable.push([{ colSpan: 6, content: _chalk2.default.hex('#F59E5B').bold(matchInfo.additionalInfo), hAlign: 'center', vAlign: 'center' }]);
  }

  let team1Players = matchInfo.players.team1.map(player => {
    return player.name;
  });

  let team2Players = matchInfo.players.team2.map(player => {
    return player.name;
  });

  let team1 = `${_chalk2.default.blue.bold(matchInfo.team1.name)}:`;
  let team2 = `${_chalk2.default.cyan.bold(matchInfo.team2.name)}:`;

  team1Players.unshift(team1);
  team2Players.unshift(team2);

  generalTable.push((0, _table.alignCenter)(team1Players), (0, _table.alignCenter)(team2Players));

  console.log(generalTable.toString());
  console.log('');
  console.log('');
};

exports.default = general;