'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _chalk = require('chalk');

var _chalk2 = _interopRequireDefault(_chalk);

var _date = require('../../utils/date');

var _date2 = _interopRequireDefault(_date);

var _table = require('../../utils/table');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const headtohead = maps => {
  const headtoheadTable = (0, _table.basicTable)({ 'padding-left': 2, 'padding-right': 2 });

  headtoheadTable.push([{ colSpan: 5, content: `${_chalk2.default.white.bold('Last head to head matches')}`, hAlign: 'center', vAlign: 'center' }], (0, _table.alignCenter)(['Date', 'Winner', 'Event', 'Map', 'Result']));

  maps.slice(0, 10).forEach(map => {
    headtoheadTable.push((0, _table.alignCenter)([_chalk2.default.white.bold((0, _date2.default)(map.date)), _chalk2.default.magenta.bold(map.winner.name), _chalk2.default.blue.bold(map.event.name), _chalk2.default.hex('#F59E5B').bold(map.map), _chalk2.default.white.bold(map.result)]));
  });

  console.log(headtoheadTable.toString());
  console.log('');
  console.log('');
};

exports.default = headtohead;