'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _hltv = require('hltv');

var _hltv2 = _interopRequireDefault(_hltv);

var _ora = require('ora');

var _ora2 = _interopRequireDefault(_ora);

var _error = require('../../utils/error');

var _error2 = _interopRequireDefault(_error);

var _general = require('./general');

var _general2 = _interopRequireDefault(_general);

var _mapsResults = require('./mapsResults');

var _mapsResults2 = _interopRequireDefault(_mapsResults);

var _vetoes = require('./vetoes');

var _vetoes2 = _interopRequireDefault(_vetoes);

var _streams = require('./streams');

var _streams2 = _interopRequireDefault(_streams);

var _headtohead = require('./headtohead');

var _headtohead2 = _interopRequireDefault(_headtohead);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _asyncToGenerator(fn) { return function () { var gen = fn.apply(this, arguments); return new Promise(function (resolve, reject) { function step(key, arg) { try { var info = gen[key](arg); var value = info.value; } catch (error) { reject(error); return; } if (info.done) { resolve(value); } else { return Promise.resolve(value).then(function (value) { step("next", value); }, function (err) { step("throw", err); }); } } return step("next"); }); }; }

const filterMaps = maps => {
  let matchMaps = maps.filter(map => {
    return map.name !== 'tba' && map.result !== '';
  });

  return matchMaps;
};

const matchInfo = (() => {
  var _ref = _asyncToGenerator(function* (matchId) {
    console.log('');
    const spinner = (0, _ora2.default)('Loading match information').start();

    try {
      const matchInfo = yield _hltv2.default.getMatch({ id: matchId });

      spinner.stop();

      (0, _general2.default)(matchInfo);

      if (matchInfo.vetoes.length) {
        (0, _vetoes2.default)(matchInfo.vetoes, matchInfo.team1.name);
      }

      let maps = filterMaps(matchInfo.maps);

      if (maps.length) {
        (0, _mapsResults2.default)(matchInfo.maps);
      }

      if (matchInfo.streams.length) {
        (0, _streams2.default)(matchInfo.streams);
      }

      if (matchInfo.headToHead.length) {
        (0, _headtohead2.default)(matchInfo.headToHead);
      }
    } catch (err) {
      (0, _error2.default)(err, 'HLTV.getMatch()');
    }
  });

  return function matchInfo(_x) {
    return _ref.apply(this, arguments);
  };
})();

exports.default = matchInfo;