'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _chalk = require('chalk');

var _chalk2 = _interopRequireDefault(_chalk);

var _table = require('../../utils/table');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const streams = streams => {
  const streamsTable = (0, _table.basicTable)({ 'padding-left': 1, 'padding-right': 1 });

  streamsTable.push([{ colSpan: 3, content: `${_chalk2.default.white.bold('Streams')}`, hAlign: 'center', vAlign: 'center' }], (0, _table.alignCenter)(['Name', 'Link', 'Viewers']));

  streams.forEach(stream => {
    streamsTable.push((0, _table.alignCenter)([_chalk2.default.white.bold(stream.name), _chalk2.default.blue.bold(stream.link), _chalk2.default.hex('#F59E5B').bold(stream.viewers)]));
  });

  console.log(streamsTable.toString());
  console.log('');
  console.log('');
};

exports.default = streams;