'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _chalk = require('chalk');

var _chalk2 = _interopRequireDefault(_chalk);

var _table = require('../../utils/table');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const vetoeTeamName = (team, team1) => {
  let teamName = _chalk2.default.cyan.bold(team);

  if (team === team1) {
    teamName = _chalk2.default.blue.bold(team);
  }

  return teamName;
};

const vetoeType = type => {
  let typeFormat = _chalk2.default.red.bold(type);

  if (type === 'picked') {
    typeFormat = _chalk2.default.green.bold(type);
  }

  return typeFormat;
};

const vetoes = (vetoes, team1) => {
  const vetoesTable = (0, _table.basicTable)({ 'padding-left': 6, 'padding-right': 6 });

  vetoesTable.push([{ colSpan: 3, content: `${_chalk2.default.white.bold('Vetoes')}`, hAlign: 'center', vAlign: 'center' }], (0, _table.alignCenter)(['Team', 'Map', 'Type']));

  vetoes.forEach(vetoe => {
    vetoesTable.push((0, _table.alignCenter)([vetoeTeamName(vetoe.team.name, team1), _chalk2.default.hex('#F59E5B').bold(vetoe.map), vetoeType(vetoe.type)]));
  });

  console.log(vetoesTable.toString());
  console.log('');
  console.log('');
};

exports.default = vetoes;