'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _hltv = require('hltv');

var _hltv2 = _interopRequireDefault(_hltv);

var _ora = require('ora');

var _ora2 = _interopRequireDefault(_ora);

var _chalk = require('chalk');

var _chalk2 = _interopRequireDefault(_chalk);

var _cfonts = require('../../utils/cfonts');

var _cfonts2 = _interopRequireDefault(_cfonts);

var _table = require('../../utils/table');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _asyncToGenerator(fn) { return function () { var gen = fn.apply(this, arguments); return new Promise(function (resolve, reject) { function step(key, arg) { try { var info = gen[key](arg); var value = info.value; } catch (error) { reject(error); return; } if (info.done) { resolve(value); } else { return Promise.resolve(value).then(function (value) { step("next", value); }, function (err) { step("throw", err); }); } } return step("next"); }); }; }

const convertResult = result => {
  let resultArray = result.replace(/\s/g, '').split('-');

  let resultsInt = resultArray.map(result => {
    return parseInt(result);
  });

  return resultsInt;
};

const formatName = (team1, team2, result) => {
  let resultsInt = convertResult(result);
  let teamsName = `${_chalk2.default.green.bold(team1.name)} vs ${_chalk2.default.red.bold(team2.name)}`;

  if (resultsInt[0] < resultsInt[1]) {
    teamsName = `${_chalk2.default.red.bold(team1.name)} vs ${_chalk2.default.green.bold(team2.name)}`;
  }

  return teamsName;
};

const formatResult = result => {
  let resultsInt = convertResult(result);
  let finalResult = `${_chalk2.default.green.bold(resultsInt[0])} : ${_chalk2.default.red.bold(resultsInt[1])}`;

  if (resultsInt[0] < resultsInt[1]) {
    finalResult = `${_chalk2.default.red.bold(resultsInt[0])} : ${_chalk2.default.green.bold(resultsInt[1])}`;
  }

  return finalResult;
};

const resultsList = (() => {
  var _ref = _asyncToGenerator(function* (limit) {
    console.log('');
    const spinner = (0, _ora2.default)('Loading last results').start();
    const resultsTable = (0, _table.basicTable)({ 'padding-left': 2, 'padding-right': 2 });

    let headerContent = `Last ${limit} results`;

    resultsTable.push([{ colSpan: 4, content: `${_chalk2.default.white.bold(headerContent)}`, hAlign: 'center', vAlign: 'center' }], (0, _table.alignCenter)(['Teams', 'Result', 'Format', 'Event']));

    let results = yield _hltv2.default.getResults();

    spinner.stop();

    (0, _cfonts2.default)('Results');

    results.slice(0, limit).forEach(function (result) {
      resultsTable.push((0, _table.alignCenter)([formatName(result.team1, result.team2, result.result), formatResult(result.result), _chalk2.default.white.bold(result.format), _chalk2.default.hex('#F59E5B').bold(result.event.name)]));
    });

    console.log(resultsTable.toString());
    console.log('');
    console.log('');
  });

  return function resultsList(_x) {
    return _ref.apply(this, arguments);
  };
})();

exports.default = resultsList;