'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _hltv = require('hltv');

var _hltv2 = _interopRequireDefault(_hltv);

var _ora = require('ora');

var _ora2 = _interopRequireDefault(_ora);

var _chalk = require('chalk');

var _chalk2 = _interopRequireDefault(_chalk);

var _cfonts = require('../../utils/cfonts');

var _cfonts2 = _interopRequireDefault(_cfonts);

var _table = require('../../utils/table');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _asyncToGenerator(fn) { return function () { var gen = fn.apply(this, arguments); return new Promise(function (resolve, reject) { function step(key, arg) { try { var info = gen[key](arg); var value = info.value; } catch (error) { reject(error); return; } if (info.done) { resolve(value); } else { return Promise.resolve(value).then(function (value) { step("next", value); }, function (err) { step("throw", err); }); } } return step("next"); }); }; }

const streamsList = (() => {
  var _ref = _asyncToGenerator(function* (limit) {
    console.log('');
    const spinner = (0, _ora2.default)('Loading live streams').start();
    const streamsTable = (0, _table.basicTable)({ 'padding-left': 2, 'padding-right': 2 });

    let streams = yield _hltv2.default.getStreams();

    spinner.stop();

    (0, _cfonts2.default)('Streams');

    streamsTable.push([{ colSpan: 4, content: `${_chalk2.default.white.bold('Live streams')}`, hAlign: 'center', vAlign: 'center' }], (0, _table.alignCenter)(['Name', 'Country', 'Link', 'Viewers']));

    streams.forEach(function (stream) {
      streamsTable.push((0, _table.alignCenter)([_chalk2.default.white.bold(stream.name), _chalk2.default.cyan.bold(stream.country.name), _chalk2.default.blue.bold(`http://hltv.org${stream.hltvLink}`), _chalk2.default.hex('#F59E5B').bold(stream.viewers)]));
    });

    console.log(streamsTable.toString());
    console.log('');
    console.log('');
  });

  return function streamsList(_x) {
    return _ref.apply(this, arguments);
  };
})();

exports.default = streamsList;