'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _hltv = require('hltv');

var _hltv2 = _interopRequireDefault(_hltv);

var _ora = require('ora');

var _ora2 = _interopRequireDefault(_ora);

var _error = require('../../utils/error');

var _error2 = _interopRequireDefault(_error);

var _cfonts = require('../../utils/cfonts');

var _cfonts2 = _interopRequireDefault(_cfonts);

var _recentResults = require('./recentResults');

var _recentResults2 = _interopRequireDefault(_recentResults);

var _mapStatistics = require('./mapStatistics');

var _mapStatistics2 = _interopRequireDefault(_mapStatistics);

var _players = require('./players');

var _players2 = _interopRequireDefault(_players);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _asyncToGenerator(fn) { return function () { var gen = fn.apply(this, arguments); return new Promise(function (resolve, reject) { function step(key, arg) { try { var info = gen[key](arg); var value = info.value; } catch (error) { reject(error); return; } if (info.done) { resolve(value); } else { return Promise.resolve(value).then(function (value) { step("next", value); }, function (err) { step("throw", err); }); } } return step("next"); }); }; }

const getPlayersInfo = (() => {
  var _ref = _asyncToGenerator(function* (players) {
    let teamPlayers = [];

    var _iteratorNormalCompletion = true;
    var _didIteratorError = false;
    var _iteratorError = undefined;

    try {
      for (var _iterator = players[Symbol.iterator](), _step; !(_iteratorNormalCompletion = (_step = _iterator.next()).done); _iteratorNormalCompletion = true) {
        let player = _step.value;

        const _playerInfo = yield _hltv2.default.getPlayer({ id: player.id });

        teamPlayers.push({
          'name': _playerInfo.ign,
          'statistics': _playerInfo.statistics
        });
      }
    } catch (err) {
      _didIteratorError = true;
      _iteratorError = err;
    } finally {
      try {
        if (!_iteratorNormalCompletion && _iterator.return) {
          _iterator.return();
        }
      } finally {
        if (_didIteratorError) {
          throw _iteratorError;
        }
      }
    }

    return teamPlayers;
  });

  return function getPlayersInfo(_x) {
    return _ref.apply(this, arguments);
  };
})();

const teamsInfo = (() => {
  var _ref2 = _asyncToGenerator(function* (teamId) {
    console.log('');
    const spinner = (0, _ora2.default)('Loading team information').start();

    try {
      const teamInfo = yield _hltv2.default.getTeam({ id: teamId });

      let players = yield getPlayersInfo(teamInfo.players);

      spinner.stop();

      (0, _cfonts2.default)(`${teamInfo.name}  #${teamInfo.rank}`);

      (0, _players2.default)(players);
      (0, _mapStatistics2.default)(teamInfo.mapStatistics);
      (0, _recentResults2.default)(teamInfo.name, teamInfo.recentResults);
    } catch (err) {
      (0, _error2.default)(err, 'HLTV.getTeam()');
    }
  });

  return function teamsInfo(_x2) {
    return _ref2.apply(this, arguments);
  };
})();

exports.default = teamsInfo;