'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _chalk = require('chalk');

var _chalk2 = _interopRequireDefault(_chalk);

var _table = require('../../utils/table');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const formatPercentageNumber = value => {
  let percentage = `${_chalk2.default.red.bold(value)}`;

  if (parseFloat(value) >= 50) {
    percentage = `${_chalk2.default.green.bold(value)}`;
  }

  return percentage;
};

const mapStatistics = maps => {
  const mapsTable = (0, _table.basicTable)({ 'padding-left': 4, 'padding-right': 4 });
  let headerContent = 'Map win statistics';

  mapsTable.push([{ colSpan: 5, content: `${_chalk2.default.white.bold(headerContent)}`, hAlign: 'center', vAlign: 'center' }], (0, _table.alignCenter)(['Map', 'Win (%)', 'CT win (%)', 'TR win (%)', 'Times played']));

  Object.keys(maps).forEach(map => {
    let mapInfo = maps[map];

    mapsTable.push((0, _table.alignCenter)([_chalk2.default.hex('#F59E5B').bold(map), formatPercentageNumber(mapInfo.winningPercentage), formatPercentageNumber(mapInfo.ctWinningPercentage), formatPercentageNumber(mapInfo.tWinningPercentage), _chalk2.default.white.bold(mapInfo.timesPlayed)]));
  });

  console.log(mapsTable.toString());
  console.log('');
  console.log('');
};

exports.default = mapStatistics;