'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _chalk = require('chalk');

var _chalk2 = _interopRequireDefault(_chalk);

var _table = require('../../utils/table');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const formatColorStats = (statistic, comparator, reverse = false) => {
  let percentage = `${_chalk2.default.red.bold(statistic)}`;

  if (reverse) {
    if (parseFloat(statistic) <= comparator) {
      percentage = `${_chalk2.default.green.bold(statistic)}`;
    }
    return percentage;
  }

  if (parseFloat(statistic) >= comparator) {
    percentage = `${_chalk2.default.green.bold(statistic)}`;
  }

  return percentage;
};

const players = players => {
  const playersTable = (0, _table.basicTable)({ 'padding-left': 1, 'padding-right': 1 });
  let headerContent = 'Players info';

  playersTable.push([{ colSpan: 7, content: `${_chalk2.default.white.bold(headerContent)}`, hAlign: 'center', vAlign: 'center' }], (0, _table.alignCenter)(['Nick', 'Rating', 'Kills/Round', 'HS', 'Maps played', 'Deaths/Round', 'Rounds contributed']));

  players.forEach(player => {
    playersTable.push((0, _table.alignCenter)([_chalk2.default.hex('#F59E5B').bold(player.name), formatColorStats(player.statistics.rating, 1), formatColorStats(player.statistics.killsPerRound, 0.7), formatColorStats(player.statistics.headshots, 40), _chalk2.default.white.bold(player.statistics.mapsPlayed), formatColorStats(player.statistics.deathsPerRound, 0.7, true), formatColorStats(player.statistics.roundsContributed, 70)]));
  });

  console.log(playersTable.toString());
  console.log('');
  console.log('');
};

exports.default = players;