'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _chalk = require('chalk');

var _chalk2 = _interopRequireDefault(_chalk);

var _table = require('../../utils/table');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const formatName = (team, enemyTeam, result) => {
  let resultsInt = convertResult(result);
  let teamsName = `${_chalk2.default.green.bold(team)} vs ${_chalk2.default.red.bold(enemyTeam.name)}`;

  if (resultsInt[0] < resultsInt[1]) {
    teamsName = `${_chalk2.default.red.bold(team)} vs ${_chalk2.default.green.bold(enemyTeam.name)}`;
  }

  return teamsName;
};

const convertResult = result => {
  let resultArray = result.replace(/\s/g, '').split('-');

  let resultsInt = resultArray.map(result => {
    return parseInt(result);
  });

  return resultsInt;
};

const formatResult = result => {
  let resultsInt = convertResult(result);
  let finalResult = `${_chalk2.default.green.bold(resultsInt[0])} : ${_chalk2.default.red.bold(resultsInt[1])}`;

  if (resultsInt[0] < resultsInt[1]) {
    finalResult = `${_chalk2.default.red.bold(resultsInt[0])} : ${_chalk2.default.green.bold(resultsInt[1])}`;
  }

  return finalResult;
};

const recentResults = (name, results) => {
  const resultsTable = (0, _table.basicTable)({ 'padding-left': 5, 'padding-right': 5 });
  let headerContent = 'Recent results';

  resultsTable.push([{ colSpan: 3, content: `${_chalk2.default.white.bold(headerContent)}`, hAlign: 'center', vAlign: 'center' }], (0, _table.alignCenter)(['Teams', 'Result', 'Event']));

  results.forEach(result => {
    resultsTable.push((0, _table.alignCenter)([formatName(name, result.enemyTeam, result.result), formatResult(result.result), _chalk2.default.hex('#F59E5B').bold(result.event.name)]));
  });

  console.log(resultsTable.toString());
  console.log('');
  console.log('');
};

exports.default = recentResults;